## python-xeddsa 0.4.6

=== ref10/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

include(CheckSymbolExists)

if (UNIX)
    CHECK_SYMBOL_EXISTS(getentropy    "sys/random.h"            RANDOM_SOURCE_getentropy)
    CHECK_SYMBOL_EXISTS(getentropy    "unistd.h"                RANDOM_SOURCE_getentropy2)
    CHECK_SYMBOL_EXISTS(getrandom     "unistd.h;sys/random.h"   RANDOM_SOURCE_getrandom)
    CHECK_SYMBOL_EXISTS(getrandom     "unistd.h;linux/random.h" RANDOM_SOURCE_getrandom2)
    CHECK_SYMBOL_EXISTS(SYS_getrandom "unistd.h;syscall.h"      RANDOM_SOURCE_getrandom3)

    if (RANDOM_SOURCE_getentropy OR RANDOM_SOURCE_getentropy2 OR RANDOM_SOURCE_getrandom OR RANDOM_SOURCE_getrandom2 OR RANDOM_SOURCE_getrandom3)
        set(RANDOM_SOURCE_urandom FALSE)
    else ()
        set(RANDOM_SOURCE_urandom TRUE)
    endif ()
else (UNIX)
    set(RANDOM_SOURCE_getentropy  FALSE)
    set(RANDOM_SOURCE_getentropy2 FALSE)
    set(RANDOM_SOURCE_getrandom   FALSE)
    set(RANDOM_SOURCE_getrandom2  FALSE)
    set(RANDOM_SOURCE_getrandom3  FALSE)
    set(RANDOM_SOURCE_urandom     FALSE)
endif (UNIX)

if (WIN32)
    set(RANDOM_SOURCE_rtlgenrandom TRUE)
else (WIN32)
    set(RANDOM_SOURCE_rtlgenrandom FALSE)
endif (WIN32)

if (NOT (UNIX OR WIN32))
    message(FATAL_ERROR "Unsupported operating system (neither UNIX nor Windows). CMake will exit.")
endif ()

set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_SOURCE_DIR}/bin)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_SOURCE_DIR}/bin)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_SOURCE_DIR}/bin)

foreach (OUTPUTCONFIG ${CMAKE_CONFIGURATION_TYPES})
    string(TOUPPER ${OUTPUTCONFIG} OUTPUTCONFIG)
    set(CMAKE_RUNTIME_OUTPUT_DIRECTORY_${OUTPUTCONFIG} ${PROJECT_SOURCE_DIR}/bin)
    set(CMAKE_LIBRARY_OUTPUT_DIRECTORY_${OUTPUTCONFIG} ${PROJECT_SOURCE_DIR}/bin)
    set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY_${OUTPUTCONFIG} ${PROJECT_SOURCE_DIR}/bin)
endforeach ()

if (WIN32)
    # When using the MinGW generator on Windows, the generated files are prefixed with
    # "lib" and use the extension ".a" instead of ".lib". This is not Windows convention.
    # Using following global settings it is possible to correct most of these issues.
    # Sadly, these global settings don't apply to import libraries. These have to be
    # corrected for each single target.
    set(CMAKE_STATIC_LIBRARY_PREFIX "")
    set(CMAKE_SHARED_LIBRARY_PREFIX "")

    set(CMAKE_STATIC_LIBRARY_SUFFIX ".lib")
endif (WIN32)

include_directories(include)

###############
# crypto_core #
###############

set(crypto_core_sources
    crypto_core/core.c
)

add_library(crypto_core_objects OBJECT ${crypto_core_sources})

set_property(TARGET crypto_core_objects PROPERTY POSITION_INDEPENDENT_CODE TRUE)
target_compile_definitions(crypto_core_objects PRIVATE BUILD)

add_library(crypto_core_static  STATIC $<TARGET_OBJECTS:crypto_core_objects>)
add_library(crypto_core_dynamic SHARED $<TARGET_OBJECTS:crypto_core_objects>)

if (WIN32)
    # Correct the import library.
    set_target_properties(crypto_core_dynamic PROPERTIES IMPORT_PREFIX "")
    set_target_properties(crypto_core_dynamic PROPERTIES IMPORT_SUFFIX ".lib")
endif (WIN32)

###############
# crypto_hash #
###############

set(crypto_hash_sources
    crypto_hash/hash.c
)

add_library(crypto_hash_objects OBJECT ${crypto_hash_sources})

set_property(TARGET crypto_hash_objects PROPERTY POSITION_INDEPENDENT_CODE TRUE)
target_compile_definitions(crypto_hash_objects PRIVATE BUILD)

add_library(crypto_hash_static  STATIC $<TARGET_OBJECTS:crypto_hash_objects>)
add_library(crypto_hash_dynamic SHARED $<TARGET_OBJECTS:crypto_hash_objects>)

if (WIN32)
    # Correct the import library.
    set_target_properties(crypto_hash_dynamic PROPERTIES IMPORT_PREFIX "")
    set_target_properties(crypto_hash_dynamic PROPERTIES IMPORT_SUFFIX ".lib")
endif (WIN32)

#####################
# crypto_hashblocks #
#####################

set(crypto_hashblocks_sources
    crypto_hashblocks/blocks.c
)

add_library(crypto_hashblocks_objects OBJECT ${crypto_hashblocks_sources})

set_property(TARGET crypto_hashblocks_objects PROPERTY POSITION_INDEPENDENT_CODE TRUE)
target_compile_definitions(crypto_hashblocks_objects PRIVATE BUILD)

add_library(crypto_hashblocks_static  STATIC $<TARGET_OBJECTS:crypto_hashblocks_objects>)
add_library(crypto_hashblocks_dynamic SHARED $<TARGET_OBJECTS:crypto_hashblocks_objects>)

if (WIN32)
    # Correct the import library.
    set_target_properties(crypto_hashblocks_dynamic PROPERTIES IMPORT_PREFIX "")
    set_target_properties(crypto_hashblocks_dynamic PROPERTIES IMPORT_SUFFIX ".lib")
endif (WIN32)

##############
# crypto_rng #
##############

set(crypto_rng_sources
    crypto_rng/rng.c
)

add_library(crypto_rng_objects OBJECT ${crypto_rng_sources})

set_property(TARGET crypto_rng_objects PROPERTY POSITION_INDEPENDENT_CODE TRUE)
target_compile_definitions(crypto_rng_objects PRIVATE BUILD)

add_library(crypto_rng_static  STATIC $<TARGET_OBJECTS:crypto_rng_objects>)
add_library(crypto_rng_dynamic SHARED $<TARGET_OBJECTS:crypto_rng_objects>)

if (WIN32)
    # Correct the import library.
    set_target_properties(crypto_rng_dynamic PROPERTIES IMPORT_PREFIX "")
    set_target_properties(crypto_rng_dynamic PROPERTIES IMPORT_SUFFIX ".lib")
endif (WIN32)

#####################
# crypto_scalarmult #
#####################

set(crypto_scalarmult_sources
    crypto_scalarmult/base.c
    crypto_scalarmult/fe_0.c
    crypto_scalarmult/fe_1.c
    crypto_scalarmult/fe_add.c
    crypto_scalarmult/fe_copy.c
    crypto_scalarmult/fe_cswap.c
    crypto_scalarmult/fe_frombytes.c
    crypto_scalarmult/fe_invert.c
    crypto_scalarmult/fe_mul121666.c
    crypto_scalarmult/fe_mul.c
    crypto_scalarmult/fe_sq.c
    crypto_scalarmult/fe_sub.c
    crypto_scalarmult/fe_tobytes.c
    crypto_scalarmult/scalarmult.c
)

add_library(crypto_scalarmult_objects OBJECT ${crypto_scalarmult_sources})

set_property(TARGET crypto_scalarmult_objects PROPERTY POSITION_INDEPENDENT_CODE TRUE)
target_compile_definitions(crypto_scalarmult_objects PRIVATE BUILD)

add_library(crypto_scalarmult_static  STATIC $<TARGET_OBJECTS:crypto_scalarmult_objects>)
add_library(crypto_scalarmult_dynamic SHARED $<TARGET_OBJECTS:crypto_scalarmult_objects>)

if (WIN32)
    # Correct the import library.
    set_target_properties(crypto_scalarmult_dynamic PROPERTIES IMPORT_PREFIX "")
    set_target_properties(crypto_scalarmult_dynamic PROPERTIES IMPORT_SUFFIX ".lib")
endif (WIN32)

###############
# crypto_sign #
###############

set(crypto_sign_sources
    crypto_sign/fe_0.c
    crypto_sign/fe_1.c
    crypto_sign/fe_add.c
    crypto_sign/fe_cmov.c
    crypto_sign/fe_copy.c
    crypto_sign/fe_frombytes.c
    crypto_sign/fe_invert.c
    crypto_sign/fe_isnegative.c
    crypto_sign/fe_isnonzero.c
    crypto_sign/fe_mul.c
    crypto_sign/fe_neg.c
    crypto_sign/fe_pow22523.c
    crypto_sign/fe_sq2.c
    crypto_sign/fe_sq.c
    crypto_sign/fe_sub.c
    crypto_sign/fe_tobytes.c
    crypto_sign/ge_add.c
    crypto_sign/ge_double_scalarmult.c
    crypto_sign/ge_frombytes.c
    crypto_sign/ge_madd.c
    crypto_sign/ge_msub.c
    crypto_sign/ge_p1p1_to_p2.c
    crypto_sign/ge_p1p1_to_p3.c
    crypto_sign/ge_p2_0.c
    crypto_sign/ge_p2_dbl.c
    crypto_sign/ge_p3_0.c
    crypto_sign/ge_p3_dbl.c
    crypto_sign/ge_p3_tobytes.c
    crypto_sign/ge_p3_to_cached.c
    crypto_sign/ge_p3_to_p2.c
    crypto_sign/ge_precomp_0.c
    crypto_sign/ge_scalarmult_base.c
    crypto_sign/ge_sub.c
    crypto_sign/ge_tobytes.c
    crypto_sign/keypair.c
    crypto_sign/open.c
    crypto_sign/sc_muladd.c
    crypto_sign/sc_reduce.c
    crypto_sign/sign.c
)

add_library(crypto_sign_objects OBJECT ${crypto_sign_sources})

set_property(TARGET crypto_sign_objects PROPERTY POSITION_INDEPENDENT_CODE TRUE)
target_compile_definitions(crypto_sign_objects PRIVATE BUILD)

add_library(crypto_sign_static  STATIC $<TARGET_OBJECTS:crypto_sign_objects>)
add_library(crypto_sign_dynamic SHARED $<TARGET_OBJECTS:crypto_sign_objects>)

if (WIN32)
    # Correct the import library.
    set_target_properties(crypto_sign_dynamic PROPERTIES IMPORT_PREFIX "")
    set_target_properties(crypto_sign_dynamic PROPERTIES IMPORT_SUFFIX ".lib")
endif (WIN32)

#################
# crypto_stream #
#################

set(crypto_stream_sources
    crypto_stream/stream.c
    crypto_stream/xor.c
)

add_library(crypto_stream_objects OBJECT ${crypto_stream_sources})

set_property(TARGET crypto_stream_objects PROPERTY POSITION_INDEPENDENT_CODE TRUE)
target_compile_definitions(crypto_stream_objects PRIVATE BUILD)

add_library(crypto_stream_static  STATIC $<TARGET_OBJECTS:crypto_stream_objects>)
add_library(crypto_stream_dynamic SHARED $<TARGET_OBJECTS:crypto_stream_objects>)

if (WIN32)
    # Correct the import library.
    set_target_properties(crypto_stream_dynamic PROPERTIES IMPORT_PREFIX "")
    set_target_properties(crypto_stream_dynamic PROPERTIES IMPORT_SUFFIX ".lib")
endif (WIN32)

#################
# crypto_verify #
#################

set(crypto_verify_sources
    crypto_verify/verify.c
)

add_library(crypto_verify_objects OBJECT ${crypto_verify_sources})

set_property(TARGET crypto_verify_objects PROPERTY POSITION_INDEPENDENT_CODE TRUE)
target_compile_definitions(crypto_verify_objects PRIVATE BUILD)

add_library(crypto_verify_static  STATIC $<TARGET_OBJECTS:crypto_verify_objects>)
add_library(crypto_verify_dynamic SHARED $<TARGET_OBJECTS:crypto_verify_objects>)

if (WIN32)
    # Correct the import library.
    set_target_properties(crypto_verify_dynamic PROPERTIES IMPORT_PREFIX "")
    set_target_properties(crypto_verify_dynamic PROPERTIES IMPORT_SUFFIX ".lib")
endif (WIN32)

###################
# fastrandombytes #
###################

set(fastrandombytes_sources
    fastrandombytes/fastrandombytes.c
)

add_library(fastrandombytes_objects OBJECT ${fastrandombytes_sources})

set_property(TARGET fastrandombytes_objects PROPERTY POSITION_INDEPENDENT_CODE TRUE)
target_compile_definitions(fastrandombytes_objects PRIVATE BUILD)

add_library(fastrandombytes_static  STATIC $<TARGET_OBJECTS:fastrandombytes_objects>)
add_library(fastrandombytes_dynamic SHARED $<TARGET_OBJECTS:fastrandombytes_objects>)

if (WIN32)
    # Correct the import library.
    set_target_properties(fastrandombytes_dynamic PROPERTIES IMPORT_PREFIX "")
    set_target_properties(fastrandombytes_dynamic PROPERTIES IMPORT_SUFFIX ".lib")
endif (WIN32)

#####################
# kernelrandombytes #
#####################

set(RANDOM_SOURCE_ADDED FALSE)

if (NOT RANDOM_SOURCE_ADDED)
    if (RANDOM_SOURCE_getentropy)
        set(kernelrandombytes_sources kernelrandombytes/getentropy.c)
        set(RANDOM_SOURCE_ADDED TRUE)
    endif ()
endif ()

if (NOT RANDOM_SOURCE_ADDED)
    if (RANDOM_SOURCE_getentropy2)
        set(kernelrandombytes_sources kernelrandombytes/getentropy2.c)
        set(RANDOM_SOURCE_ADDED TRUE)
    endif ()
endif ()

if (NOT RANDOM_SOURCE_ADDED)
    if (RANDOM_SOURCE_getrandom)
        set(kernelrandombytes_sources kernelrandombytes/getrandom.c)
        set(RANDOM_SOURCE_ADDED TRUE)
    endif ()
endif ()

if (NOT RANDOM_SOURCE_ADDED)
    if (RANDOM_SOURCE_getrandom2)
        set(kernelrandombytes_sources kernelrandombytes/getrandom2.c)
        set(RANDOM_SOURCE_ADDED TRUE)
    endif ()
endif ()

if (NOT RANDOM_SOURCE_ADDED)
    if (RANDOM_SOURCE_getrandom3)
        set(kernelrandombytes_sources kernelrandombytes/getrandom3.c)
        set(RANDOM_SOURCE_ADDED TRUE)
    endif ()
endif ()

if (NOT RANDOM_SOURCE_ADDED)
    if (RANDOM_SOURCE_rtlgenrandom)
        set(kernelrandombytes_sources kernelrandombytes/rtlgenrandom.c)
        set(RANDOM_SOURCE_ADDED TRUE)
    endif ()
endif ()

if (NOT RANDOM_SOURCE_ADDED)
    if (RANDOM_SOURCE_urandom)
        set(kernelrandombytes_sources kernelrandombytes/urandom.c)
        set(RANDOM_SOURCE_ADDED TRUE)
    endif ()
endif ()

if (NOT RANDOM_SOURCE_ADDED)
    message(FATAL_ERROR "No secure random source found. CMake will exit.")
endif ()

add_library(kernelrandombytes_objects OBJECT ${kernelrandombytes_sources})

=== debian/changelog ===
python-xeddsa (0.4.6-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #938273

 -- Sandro Tosi <morph@debian.org>  Wed, 18 Dec 2019 17:50:43 -0500

python-xeddsa (0.4.6-1) unstable; urgency=medium

  * New upstream version

 -- W. Martin Borgert <debacle@debian.org>  Sun, 13 Jan 2019 21:21:42 +0000

python-xeddsa (0.3.6-1) unstable; urgency=medium

  * Initial package (Closes: #908030)

 -- W. Martin Borgert <debacle@debian.org>  Wed, 05 Sep 2018 20:11:22 +0000

=== debian/control ===
Source: python-xeddsa
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: W. Martin Borgert <debacle@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 11),
	cmake,
	dh-python,
	python3-all-dev,
	python3-cffi,
	python3-nacl,
	python3-setuptools,
Standards-Version: 4.2.1
Rules-Requires-Root: no
Homepage: https://pypi.org/project/XEdDSA/
Vcs-Git: https://salsa.debian.org/python-team/modules/python-xeddsa.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-xeddsa

Package: python3-xeddsa
Architecture: any
Depends: ${misc:Depends},
	${python3:Depends},
	${shlibs:Depends},
Description: Python 3 implementation of the XEdDSA signature scheme
 This python library offers an open implementation of the XEdDSA
 signature scheme as specified here.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=xeddsa

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	rm -rf ref10/build/

## python-xeddsa 0.6.0~beta

=== requirements.txt ===
cffi>=1.12.2,<2
libnacl>=1.6.1,<=2

=== ref10/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
+project(python-xeddsa)
 
 include(CheckSymbolExists)
 
@@ -367,5 +368,3 @@
     message(FATAL_ERROR "No secure random source found. CMake will exit.")
 endif ()
 
-add_library(kernelrandombytes_objects OBJECT ${kernelrandombytes_sources})
-

=== debian/changelog ===
python-xeddsa (0.6.0~beta-1) unstable; urgency=medium

  * New upstream version.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Add patch debian-watch-file-is-missing.patch: Attempting to compile the
    ref10 library...
    The compilation requires CMake and the "make" tool.
    The "cmake" and "make" commands are used.

 -- Martin <debacle@debian.org>  Sat, 12 Mar 2022 13:59:26 +0000

=== debian/control ===
Source: python-xeddsa
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Martin <debacle@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
	cmake,
	dh-python,
	python3-all-dev,
	python3-cffi,
	python3-libnacl,
	python3-setuptools,
Standards-Version: 4.2.1
Rules-Requires-Root: no
Homepage: https://github.com/Syndace/python-xeddsa
Vcs-Git: https://salsa.debian.org/python-team/packages/python-xeddsa.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-xeddsa

Package: python3-xeddsa
Architecture: any
Depends: ${misc:Depends},
	${python3:Depends},
	${shlibs:Depends},
Description: Python 3 implementation of the XEdDSA signature scheme
 This python library offers an open implementation of the XEdDSA
 signature scheme as specified here.
 .
 This package provides the Python 3.x module.

## python-xeddsa 1.0.2

=== debian/changelog ===
python-xeddsa (1.0.2-2) unstable; urgency=medium

  * Add autopkgtest dependency pytest.

 -- Martin <debacle@debian.org>  Mon, 05 Dec 2022 07:30:48 +0000

python-xeddsa (1.0.2-1) unstable; urgency=medium

  * New upstream version.
  * Depends on libxeddsa now, instead of embedding ref10 library.
  * Add autopkgtest.

 -- Martin <debacle@debian.org>  Sun, 04 Dec 2022 09:11:45 +0000

python-xeddsa (0.6.0~beta-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 16:56:44 +0000

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-	cmake,
 	dh-python,
+	libsodium-dev,
+	libxeddsa-dev,
 	python3-all-dev,
 	python3-cffi,
-	python3-libnacl,
+	python3-pytest,
 	python3-setuptools,
 Standards-Version: 4.2.1
 Rules-Requires-Root: no

=== debian/tests/control ===
Test-Command: python3 -m pytest tests
Depends: @, python3-pytest
Restrictions: allow-stderr

## python-xeddsa 1.0.3

=== debian/changelog ===
python-xeddsa (1.0.3-1) unstable; urgency=medium

  * New upstream version. (Closes: #1075425)

 -- Martin <debacle@debian.org>  Thu, 04 Jul 2024 23:20:00 +0000

=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
 Homepage: https://github.com/Syndace/python-xeddsa
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-xeddsa.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-xeddsa
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-xeddsa
 Architecture: any

## python-xeddsa 1.1.0

=== requirements.txt ===
cffi>=1.14.5

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = XEdDSA
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-xeddsa (1.1.0-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Mon, 31 Mar 2025 21:15:10 +0000

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 	dh-python,
 	libsodium-dev,
 	libxeddsa-dev,
+	pybuild-plugin-pyproject,
 	python3-all-dev,
 	python3-cffi,
 	python3-pytest,

=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/Syndace/python-xeddsa.git \
refs/tags/v@ANY_VERSION@ \
debian

## python-xeddsa 1.1.1

=== debian/changelog ===
python-xeddsa (1.1.1-2) unstable; urgency=medium

  * Remove superfluous files under dist-packages

 -- Martin <debacle@debian.org>  Tue, 18 Nov 2025 00:25:53 +0000

python-xeddsa (1.1.1-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Sun, 16 Nov 2025 19:21:02 +0000

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
 	python3-all-dev,
 	python3-cffi,
 	python3-pytest,
+	python3-pytest-cov,
 	python3-setuptools,
 Standards-Version: 4.2.1
-Rules-Requires-Root: no
 Homepage: https://github.com/Syndace/python-xeddsa
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-xeddsa.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-xeddsa

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=xeddsa

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_after_dh_auto_install:
	rm -rf $(CURDIR)/debian/python3-xeddsa/usr/lib/python3.*/dist-packages/docs/
